import React,{useLocation} from 'react'
import ReactDOM from 'react-dom/client'
import './index.css'
import { Route, RouterProvider, createBrowserRouter, createRoutesFromElements } from 'react-router-dom'
import {Home,Services,About,PrivacyPolicy} from "./pages/index.js";
import { Error } from './components/index.js'
import Layout from './Layout.jsx';
import ScrollToTop from './components/ScrollToTop.jsx';

const router = createBrowserRouter(
  createRoutesFromElements(
    <>
    <Route path='/' element={<Layout/>}>
      <Route path='' element={<Home/>} />
      <Route path='/about' element={<About/>} />
      <Route path='/services' element={<Services/>} />
    </Route>
      <Route path='/privacy-policy' element={<PrivacyPolicy/>} />
    <Route path='*' element={<Error/>}/>
    </>
  )
)

ReactDOM.createRoot(document.getElementById('root')).render(
  <React.StrictMode>
  {/* <ScrollToTop> */}
      <RouterProvider router={router} />
    {/* </ScrollToTop> */}
  </React.StrictMode>,
)
